Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/bison gcc-c++
# END SourceDeps(oneline)
Name:           xqilla
Version:        2.3.0
Release:        alt1_1
Summary:        XQuery and XPath 2.0 library, built on top of Xerces-C

License:        ASL 2.0
URL:            http://xqilla.sourceforge.net/HomePage
Source0:        http://downloads.sourceforge.net/xqilla/XQilla-%{version}.tar.gz
Source1:        xqilla.1
# since header xqc.h is provided by xqc
Patch0:         xqilla-2.2.4-use-system-xqc.h.patch

BuildRequires:  xerces-c-devel >= 3.0.1
BuildRequires:  xqc
BuildRequires:  doxygen graphviz
Source44: import.info

%description
XQilla is an XQuery and XPath 2.0 implementation written in C++ and based
on Xerces-C. It implements the DOM 3 XPath API, as well as having it's own
more powerful API. It conforms to the W3C proposed recommendation of XQuery
and XPath 2.0.

%package        devel
Summary:        XQilla is an XQuery and XPath 2.0 library, built on top of Xerces-C
Group:          Development/C
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       xerces-c-devel%{?_isa} >= 3.0.1
Requires:       xqc

%description    devel
XQilla is an XQuery and XPath 2.0 implementation written in C++ and based
on Xerces-C. It implements the DOM 3 XPath API, as well as having it's own
more powerful API. It conforms to the W3C proposed recommendation of XQuery
and XPath 2.0.

%package        doc
Summary:        XQilla documentation
Group:          Documentation
BuildArch:      noarch

%description    doc
simple-api and dom3-api documentation for XQilla.

%prep
%setup -qn XQilla-%{version}
%patch0 -p1 -b .xqc

%build
# ensure that xqc.h is not used
rm -f ./include/xqc.h
%configure \
  --disable-static \
  --with-xerces=%{_prefix}

# Avoid lib64 rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}
make docs

%install
# force timestamp preservation when using install program
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f '{}' ';'
install -D -p -m0664 %{SOURCE1} %{buildroot}/%{_mandir}/man1/%{name}.1

%files
%doc ChangeLog LICENSE
%{_bindir}/xqilla
%{_libdir}/libxqilla.so.*
%{_mandir}/man1/%{name}.1.*

%files devel
%{_libdir}/libxqilla.so
%{_includedir}/xqilla/

%files doc
%doc docs/dom3-api/ docs/simple-api/ LICENSE


%changelog
* Fri Apr 19 2013 Igor Vlasenko <viy@altlinux.ru> 2.3.0-alt1_1
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.2.4-alt2_7
- update to new release by fcimport

* Wed Dec 05 2012 Cronbuild Service <cronbuild@altlinux.org> 2.2.4-alt2_6
- rebuild with new libxerces-c

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.2.4-alt1_6
- update to new release by fcimport

* Thu Jun 21 2012 Igor Vlasenko <viy@altlinux.ru> 2.2.4-alt1_5
- fc import

